#ifndef H_CDW_UTILS
#define H_CDW_UTILS

#include <stdio.h>

#include <cdio/cdio.h> /* lsn_t */
#include "cdw_cdio.h"

#include "main.h"

int process_commandline_args(int argc, char *argv[]);
int cdw_locale_init(void);
cdw_rv_t get_cds_mixed_with_ioctl(void);
void after_event(const char *title, int adddic);
char *my_readline_10k(FILE *file);

const char *cdw_utils_id_label_table_get_label(cdw_id_label_t *table, long int id);
const char *cdw_utils_get_crv_label(cdw_rv_t crv);
const char *cdw_utils_get_cdw_bool_type_label(int val);
int         cdw_utils_compare_ints(const void *int1, const void *int2);
void        cdw_utils_eta_calculations(char *eta_string, int eta, size_t n);


/* unit tests */
void cdw_utils_run_tests(void);


#if 0 /* currently unused */
int raw_read_sector(lsn_t sector, char *buffer); /* just a debug tool, normally not used */
int raw_read_sector2(lsn_t sector); /* just a debug tool, normally not used */
int add_to_dic();
void clean_before_cdw_exit(void);
#endif

#endif /* H_CDW_UTILS */
